Showing results for 
Search instead for 
Did you mean: 

How to create a planar relation to a line in a Layout in an Assembly document

Valued Contributor
Valued Contributor




I cannot seem to create a planar relation to a line in a Layout in an Assembly document.


Dimstrip AsPartDocument = objOccurrences.Item(81).OccurrenceDocument

Dimstripref AsReference = Objdocs.CreateReference(objOccurrences.Item(81), strip.RefPlanes.Item(1))

Dimodjdoc AsAssemblyDocument = Objdocs

Dimname AsProfile = odjdoc.Layouts.Item(2).Profile

Dimline AsSolidEdgeFrameworkSupport.Line2d = name.Lines2d.Item(9)


This is where it goes wrong;

DimplanarRel AsPlanarRelation3d = rel.AddPlanar(stripref, line, True, ConstrainingPoint, ConstrainingPoint)


Can anyone help me get the right code?




Posted by: W.P. Verpalen
Post date: 5/10/2011 1:43:51 AM